package nl.amis.ejb30.hrm;

import java.io.Serializable;

import java.util.Collection;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.OneToMany;
import javax.persistence.JoinColumn;
import javax.persistence.CascadeType;
import javax.persistence.FetchType;
import javax.persistence.Table;

@Entity
@Table(name="DEPT")
public class Department implements Serializable {
    private Long deptno;

    private String dname;

    private String location;

    private Collection<Employee> staff;

    public Department() {
      System.out.print("Department instantiated");
    }

    @Id 
    @Column(name="DEPTNO")
    public Long getDeptno() {
        return deptno;
    }

    @OneToMany(mappedBy="department", cascade={CascadeType.ALL})
    @JoinColumn(name="deptno")
    public Collection<Employee> getStaff() {
      return staff;
    }

    public void setStaff(Collection staff) {
        this.staff = staff;
    }

    public void setDeptno(Long deptno) {
        System.out.println(" deptno="+deptno);
        this.deptno = deptno;
    }

    @Column(name="DNAME")
    public String getDname() {
        return dname;
    }

    public void setDname(String dname) {
        this.dname = dname;
    }

    @Column(name="LOC")
    public String getLocation() {
        return location;
    }

    public void setLocation(String loc) {
        this.location = loc;
    }
}
