package nl.amis.ejb30.hrm;

import java.io.Serializable;

import java.sql.Timestamp;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.ManyToOne;
import javax.persistence.JoinColumn;
import javax.persistence.FetchType;
import javax.persistence.CascadeType;

@Entity
@Table(name="EMP")
public class Employee implements Serializable {
    private Double comm;

    private Long deptno;

    private Long empno;

    private String ename;

    private Timestamp hiredate;

    private String job;

    private Long mgr;

    private Double sal;
    
    private Department department;

    public Employee() {
    }

    public Employee(Long empno) {
        this.empno = empno;
    }

    @ManyToOne(optional=false, cascade={CascadeType.ALL} ,fetch=FetchType.LAZY)
    @JoinColumn(name="deptno")
    public Department getDepartment() {
       return department; 
    }
    
    public void setDepartment(Department department) {
        this.department = department;
    }

    @Column(name="COMM")
    public Double getComm() {
        return comm;
    }

    public void setComm(Double comm) {
        this.comm = comm;
    }


    @Id
    @Column(name="EMPNO", nullable=false)
    public Long getEmpno() {
        return empno;
    }

    public void setEmpno(Long empno) {
        this.empno = empno;
    }

    @Column(name="ENAME")
    public String getEname() {
        return ename;
    }

    public void setEname(String ename) {
        this.ename = ename;
    }

    @Column(name="HIREDATE")
    public Timestamp getHiredate() {
        return hiredate;
    }

    public void setHiredate(Timestamp hiredate) {
        this.hiredate = hiredate;
    }

    @Column(name="JOB")
    public String getJob() {
        return job;
    }

    public void setJob(String job) {
        this.job = job;
    }

    @Column(name="MGR")
    public Long getMgr() {
        return mgr;
    }

    public void setMgr(Long mgr) {
        this.mgr = mgr;
    }

    @Column(name="SAL")
    public Double getSal() {
        return sal;
    }

    public void setSal(Double sal) {
        this.sal = sal;
    }
}
